Bug 4730 - Debuglevel is not 0 as stated in smbclient(1)
Debuglevel is not 0 as stated in smbclient(1)
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Docs
3.0.25a
Other Linux
: P3 minor
: none
Assigned To: Samba Bugzilla Account
Samba Documentation QA Contact~
http://bugs.debian.org/292371
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-22 13:04 UTC by Debian samba package maintainers (PUBLIC MAILING LIST)
Modified: 2008-01-09 06:54 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Debian samba package maintainers (PUBLIC MAILING LIST) 2007-06-22 13:04:03 UTC
Hello,

smbclient(1) says:

       -d|--debuglevel=level
          level  is an integer from 0 to 10. The default value if this parame‐
          ter is not specified is zero.

Then the two following commands should be the same:

noel@ibook:~$ smbclient -U noel //localhost/test -c "prompt;get myfile" Password:
Domain=[IBOOK] OS=[Unix] Server=[Samba 3.0.25a]
getting file \myfile of size 6 as myfile (0,7 kb/s) (average 0,7 kb/s)
noel@ibook:~$ smbclient -U noel //localhost/test -d0 -c "prompt;get myfile"
Password:
Domain=[IBOOK] OS=[Unix] Server=[Samba 3.0.25a]

thx.

noel@d.o
Comment 1 Simo Sorce 2007-06-25 08:01:01 UTC
What debug level do you have in smb.conf ?
Comment 2 Debian samba package maintainers (PUBLIC MAILING LIST) 2007-06-26 05:10:51 UTC
There is no debug level set in smb.con
Comment 3 Debian samba package maintainers (PUBLIC MAILING LIST) 2007-06-27 14:37:41 UTC
$ grep level /etc/samba/smb.conf 

$ smbclient -U nk //localhost/test -c "prompt;get myfile"
Password: 
Domain=[MBP] OS=[Unix] Server=[Samba 3.0.25a]
getting file \myfile of size 0 as myfile (0,0 kb/s) (average nan kb/s)

$ smbclient -U nk //localhost/test -d0 -c "prompt;get myfile"
Password: 
Domain=[MBP] OS=[Unix] Server=[Samba 3.0.25a]

As you can see there is no log|debug level set and you get the debug output.
Comment 4 Karolin Seeger 2008-01-09 06:54:04 UTC
Fixed with revision 1223.
Thanks for reporting!